import { Component, createRef, h } from 'preact';
//import { Link } from 'preact-router/match';

const Header = (props) => (
	<header className='header'>
		<div className="container">
			<h1>Login</h1>
			{props.auth.isAuthenticated() && (<div id="hamburger-button" className={`hamburger ${props.menu.visible && 'hamburger-active'}`}
				onClick={() => props.menu.toggle()}>
				<hr />
				<hr />
				<hr />
			</div>)}
		</div>
	</header>
);




export default Header;
